package com.example.cookbook.repository;


import com.example.cookbook.dbConfig.DB;
import com.example.cookbook.model.Komentar;
import com.example.cookbook.model.Korisnik;
import com.example.cookbook.model.TipKorisnik;
import org.springframework.stereotype.Repository;

import java.sql.*;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Repository
public class KorisniciRepository {
    public List<Korisnik> findAllByRole(TipKorisnik tipKorisnik) throws SQLException {
        Connection connection = DB.getConnection();

        String query;

        if (tipKorisnik == TipKorisnik.Posetitel){
            query = "select p.telefon, k.kor_ime, k.prezime\n" +
                    "from posetiteli p\n" +
                    "    left join korisnici k on p.telefon = k.telefon";
        } else {
            query = "select v.telefon, k.kor_ime, k.prezime\n" +
                    "from vraboteni v\n" +
                    "    left join korisnici k on v.telefon = k.telefon";
        }

        Statement stm = connection.createStatement();


        ResultSet result = stm.executeQuery(query);
        List<Korisnik> korisnici = new ArrayList<>();

        while (result.next()){
            Korisnik korisnik = new Korisnik();
            korisnik.setTelefon(result.getString("telefon"));
            korisnik.setIme(result.getString("kor_ime"));
            korisnik.setPrezime(result.getString("prezime"));
            korisnik.setTipKorisnik(tipKorisnik);
            korisnici.add(korisnik);
        }

        result.close();
        stm.close();
        DB.closeConnection();

        return korisnici;
    }


}
